Bug 134583 - ifup sets ip addresses on enslaved bonded interfaces
ifup sets ip addresses on enslaved bonded interfaces
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 15:52 EDT by randy hoffman
Modified: 2014-03-16 22:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 23:59:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description randy hoffman 2004-10-04 15:52:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7)
Gecko/20040803 Firefox/0.9.3 StumbleUpon/1.995

Description of problem:
when bonding interfaces, inet addr should be on the bond device. 
After update 3's version of initscripts came out, ifup sets the inet
addr on each enslaved interface which breaks some software we are
suing.  Here is an example:

$ifconfig -a
bond0     Link encap:Ethernet  HWaddr 00:0D:56:BC:19:31  
          inet addr:10.20.1.131  Bcast:10.20.1.255  Mask:255.255.254.0
          UP BROADCAST RUNNING MASTER MULTICAST  MTU:1500  Metric:1
          RX packets:365077 errors:0 dropped:0 overruns:0 frame:0
          TX packets:152 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:38952020 (37.1 Mb)  TX bytes:14046 (13.7 Kb)

eth0      Link encap:Ethernet  HWaddr 00:0D:56:BC:19:31  
          inet addr:10.20.1.131  Bcast:10.20.1.255  Mask:255.255.254.0
          UP BROADCAST RUNNING SLAVE MULTICAST  MTU:1500  Metric:1
          RX packets:182546 errors:0 dropped:0 overruns:0 frame:0
          TX packets:76 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:19476581 (18.5 Mb)  TX bytes:6746 (6.5 Kb)
          Interrupt:28 

eth1      Link encap:Ethernet  HWaddr 00:0D:56:BC:19:31  
          inet addr:10.20.1.131  Bcast:10.20.1.255  Mask:255.255.254.0
          UP BROADCAST RUNNING SLAVE MULTICAST  MTU:1500  Metric:1
          RX packets:182531 errors:0 dropped:0 overruns:0 frame:0
          TX packets:76 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:19475439 (18.5 Mb)  TX bytes:7300 (7.1 Kb)
          Interrupt:29 

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:65 errors:0 dropped:0 overruns:0 frame:0
          TX packets:65 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0 
          RX bytes:9189 (8.9 Kb)  TX bytes:9189 (8.9 Kb)


Version-Release number of selected component (if applicable):
initscripts-7.31.16

How reproducible:
Always

Steps to Reproduce:
1.Set up ifcfg-bond0, ifcfg-eth0 and ifcfg-eth1 to form a bonded device.
2.Reboot
3.All 3 devices have ip address set.
    

Additional info:
Comment 1 Bill Nottingham 2004-10-04 23:59:51 EDT
See Documentation/networking/bonding.txt in the kernel source - this
is expected.
Comment 2 randy hoffman 2004-10-05 10:58:35 EDT
it changed behaviour after RH AS3 U3 therefore thought it was a bug.
Before Update 3 ifup did not set ip's on the enslaved devices.  Thanks
for looking at this.

Note You need to log in before you can comment on or make changes to this bug.